## jaxb 2.2.5

=== debian/changelog ===
jaxb (2.2.5-1) unstable; urgency=medium

  * Initial release. (Closes: #734727)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 01 Sep 2014 14:26:44 +0300
