=== debian/control ===
Source: jaxb
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends:
 ant,
 debhelper (>= 9),
 default-jdk,
 javahelper (>= 0.43),
 libargs4j-java,
 libcodemodel-java (>= 2.6),
 libdom4j-java,
 libdtd-parser-java,
 libfastinfoset-java,
 libisorelax-java,
 libistack-commons-java,
 libjaxb-api-java,
 libjing-java,
 libmsv-java,
 librelaxngcc-java,
 librngom-java,
 libtxw2-java (>= 0.1+20110809),
 libxml-commons-resolver1.1-java,
 maven-repo-helper
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-java/jaxb.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/jaxb.git
Homepage: https://jaxb.java.net

Package: libjaxb-java
Architecture: all
Depends:
 libargs4j-java,
 libcodemodel-java (>= 2.6),
 libdom4j-java,
 libdtd-parser-java,
 libfastinfoset-java,
 libisorelax-java,
 libistack-commons-java,
 libjaxb-api-java,
 libjing-java,
 libmsv-java,
 librelaxngcc-java,
 librngom-java,
 libtxw2-java (>= 0.1+20110809),
 libxml-commons-resolver1.1-java,
 ${java:Depends},
 ${misc:Depends}
Recommends: ${java:Recommends}
Description: JAXB Reference Implementation
 GlassFish Java Architecture for XML Binding (JAXB) Reference
 Implementation.
 .
 Java Architecture for XML Binding (JAXB) provides a fast and convenient
 way to bind XML schemas and Java representations, making it easy for
 Java developers to incorporate XML data and processing functions in Java
 applications. As part of this process, JAXB provides methods for
 unmarshalling (reading) XML instance documents into Java content trees,
 and then marshalling (writing) Java content trees back into XML instance
 documents. JAXB also provides a way to generate XML schema from Java
 objects.

Package: libjaxb-java-doc
Architecture: all
Section: doc
Depends: ${java:Depends}, ${misc:Depends}
Recommends: ${java:Recommends}
Description: JAXB Reference Implementation -- documentation
 GlassFish Java Architecture for XML Binding (JAXB) Reference
 Implementation.
 .
 Java Architecture for XML Binding (JAXB) provides a fast and convenient
 way to bind XML schemas and Java representations, making it easy for
 Java developers to incorporate XML data and processing functions in Java
 applications. As part of this process, JAXB provides methods for
 unmarshalling (reading) XML instance documents into Java content trees,
 and then marshalling (writing) Java content trees back into XML instance
 documents. JAXB also provides a way to generate XML schema from Java
 objects.
 .
 This package contains the Javadoc API.
