=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java

# Put depended upon jars in here
# export CLASSPATH=

VERSION = $(shell dpkg-parsechangelog |grep Version| sed 's/.*: //;s/-.*//')

%:
	dh $@ --with javahelper

override_dh_auto_build:
	mkdir tools/lib/redist
	# these are best handled here
	ln -s /usr/share/java/args4j.jar tools/lib/util/args4j.jar
	ln -s /usr/share/java/codemodel.jar tools/lib/rebundle/compiler/codemodel.jar
	ln -s /usr/share/java/codemodel-annotation-compiler.jar tools/lib/util/codemodel-annotation-compiler.jar
	ln -s /usr/share/java/dom4j.jar tools/lib/util/dom4j.jar
	ln -s /usr/share/java/dtd-parser.jar tools/lib/rebundle/compiler/dtd-parser.jar
	ln -s /usr/share/java/FastInfoset.jar tools/lib/util/FastInfoset.jar
	ln -s /usr/share/java/isorelax.jar tools/lib/rebundle/runtime/isorelax.jar
	ln -s /usr/share/java/istack-commons-runtime.jar tools/lib/rebundle/runtime2/istack-commons-runtime.jar
	ln -s /usr/share/java/istack-commons-tools.jar tools/lib/rebundle/compiler/istack-commons-tools.jar
	ln -s /usr/share/java/jaxb-api.jar tools/lib/redist/jaxb-api.jar
	ln -s /usr/share/java/jing.jar tools/lib/util/jing.jar
	ln -s /usr/share/java/msv-core.jar tools/lib/rebundle/runtime/msv.jar
	ln -s /usr/share/java/relaxngcc.jar tools/lib/util/relaxngcc.jar
	ln -s /usr/share/java/relaxngDatatype.jar tools/lib/rebundle/runtime/relaxngDatatype.jar
	ln -s /usr/share/java/relaxngDatatype.jar tools/lib/rebundle/compiler/relaxngDatatype.jar
	ln -s /usr/share/java/rngom.jar tools/lib/rebundle/compiler/rngom.jar
	ln -s /usr/share/java/stax-ex.jar tools/lib/util/stax-ex.jar
	ln -s /usr/share/java/txw2.jar tools/lib/rebundle/runtime2/txw2.jar
	ln -s /usr/share/java/txwc2.jar tools/lib/util/txwc2.jar
	ln -s /usr/share/java/xml-resolver.jar tools/lib/rebundle/compiler/resolver.jar
	ln -s /usr/share/java/xsom.jar tools/lib/rebundle/compiler/xsom.jar


	dh_auto_build -- \
		-Dbuild.sysclasspath=last -Dbuild.number=1 \
		-Dant.build.javac.source=1.5 -Dant.build.javac.target=1.5 \
		dist javadoc

clean::
	dh_clean
	jh_clean
	mh_clean
	rm -rf apgen/build \
		apidocs \
		dist \
		runtime*/build  \
		tools/*/build \
		xjc/build
	rm -rf `find . -name "*.jar"`
	rm -rf `find . -name "*.class"`
	rm -f xjc/manifest.xjc
	rm -rf tools/lib/redist

override_dh_install:
	dh_install
	mh_installpoms
	mh_installjar -plibjaxb-java -l jaxb-impl.pom dist/lib/jaxb-impl.jar
	mh_installjar -plibjaxb-java -l jaxb-xjc.pom dist/lib/jaxb-xjc.jar

get-orig-source:
	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename
