## jaxb 2.3.0

=== debian/changelog ===
jaxb (2.3.0-3) unstable; urgency=medium

  * Team upload.
  * Use absolute classpaths instead of relative ones and support the use case
    when jars are temporarily copied (not symlinked) to different locations.
    This will partially fix #882525.

 -- Markus Koschany <apo@debian.org>  Tue, 28 Nov 2017 23:54:28 +0100

jaxb (2.3.0-2) unstable; urgency=medium

  * Team upload.
  * Added a symbolic link from /usr/share/java/jaxb-impl.jar to jaxb-runtime.jar
    to preserve the backward compatibility.
  * Standards-Version updated to 4.1.1

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 12 Oct 2017 23:35:29 +0200

jaxb (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Build with Maven instead of Ant
    - Fixed the compatibility with args4j 2.x
    - Removed the dependency on dom4j, isorelax, relaxngcc
      and xml-commons-resolver1.1
    - Build librngom-java and relocate the org.kohsuke.rngom artifact
      to com.sun.xml.bind.external
    - Build libtxw2-java and relocate the com.sun.xml.txw2 artifacts
      to org.glassfish.jaxb
    - Build libcodemodel-java and relocate the com.sun.codemodel artifacts
      to org.glassfish.jaxb
    - Build libxsom-java and relocate the com.sun.xsom artifact
      to org.glassfish.jaxb
    - Refreshed debian/copyright
    - Build with xml-resolver instead of com.sun.org.apache.xml:resolver
    - Replaced nb-javac-api with com.sun:tools
    - Added a relocation from jaxb-impl to jaxb-runtime
  * Track and download the new releases from GitHub
  * Standards-Version updated to 4.1.0
  * Switch to debhelper level 10
  * Updated the Homepage field

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 28 Sep 2017 21:02:01 +0200

jaxb (2.2.5-2) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 8
  * Standards-Version updated to 3.9.8 (no changes)
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 03 May 2016 22:03:03 +0200
