=== debian/control ===
--- 
+++ 
@@ -4,50 +4,34 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
- ant,
- debhelper (>= 9),
+ debhelper (>= 10),
  default-jdk,
  javahelper (>= 0.43),
  libargs4j-java,
- libcodemodel-java (>= 2.6),
- libdom4j-java,
+ libbuild-helper-maven-plugin-java,
  libdtd-parser-java,
  libfastinfoset-java,
- libisorelax-java,
  libistack-commons-java,
  libjaxb-api-java,
- libjing-java,
+ libmaven-dependency-plugin-java,
+ libmaven-javadoc-plugin-java,
  libmsv-java,
- librelaxngcc-java,
- librngom-java,
- libtxw2-java (>= 0.1+20110809),
- libxml-commons-resolver1.1-java,
- maven-repo-helper
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/pkg-java/jaxb.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/jaxb.git
-Homepage: https://jaxb.java.net
+ librelaxng-datatype-java,
+ maven-debian-helper (>= 2.2)
+Standards-Version: 4.1.1
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/jaxb.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jaxb.git
+Homepage: https://javaee.github.io/jaxb-v2/
 
 Package: libjaxb-java
 Architecture: all
 Depends:
- libargs4j-java,
- libcodemodel-java (>= 2.6),
- libdom4j-java,
- libdtd-parser-java,
- libfastinfoset-java,
- libisorelax-java,
- libistack-commons-java,
- libjaxb-api-java,
- libjing-java,
- libmsv-java,
- librelaxngcc-java,
- librngom-java,
- libtxw2-java (>= 0.1+20110809),
- libxml-commons-resolver1.1-java,
- ${java:Depends},
+ libcodemodel-java (>= 2.6+jaxb${source:Version}),
+ librngom-java (>= ${source:Version}),
+ libtxw2-java (>= ${source:Version}),
+ ${maven:Depends},
  ${misc:Depends}
-Recommends: ${java:Recommends}
+Suggests: ${maven:OptionalDepends}
 Description: JAXB Reference Implementation
  GlassFish Java Architecture for XML Binding (JAXB) Reference
  Implementation.
@@ -64,8 +48,8 @@
 Package: libjaxb-java-doc
 Architecture: all
 Section: doc
-Depends: ${java:Depends}, ${misc:Depends}
-Recommends: ${java:Recommends}
+Depends: ${maven:DocDepends}, ${misc:Depends}
+Recommends: ${maven:DocOptionalDepends}
 Description: JAXB Reference Implementation -- documentation
  GlassFish Java Architecture for XML Binding (JAXB) Reference
  Implementation.
@@ -80,3 +64,50 @@
  objects.
  .
  This package contains the Javadoc API.
+
+Package: libcodemodel-java
+Architecture: all
+Depends: libistack-commons-java, ${misc:Depends}
+Description: Java library for code generators
+ CodeModel is a Java library for code generators; it provides a way to
+ generate Java programs in a way much nicer than
+ PrintStream.println(). This project is a spin-off from the JAXB
+ Reference Implementation for its schema compiler to generate Java
+ source files.
+
+Package: librngom-java
+Architecture: all
+Depends: librelaxng-datatype-java, ${misc:Depends}
+Description: Java library for parsing RELAX NG grammars
+ RNGOM is an open-source Java library for parsing RELAX NG grammars.
+ .
+ In particular, RNGOM can:
+  * parse the XML syntax
+  * parse the compact syntax
+  * check all the semantic restrictions as specified in the specification
+  * parse RELAX NG into application-defined data structures
+  * build a default data structure based around the binarized simple syntax
+    or another data structure that preserves more of the parsed information
+  * parse foreign elements/attributes in a schema
+  * parse comments in a schema
+
+Package: libtxw2-java
+Architecture: all
+Depends:
+ libargs4j-java,
+ libcodemodel-java (>= 2.6+jaxb${source:Version}),
+ librngom-java (>= ${source:Version}),
+ libxsom-java (>= ${source:Version}),
+ ${misc:Depends}
+Description: Typed XML Writer for Java
+ A Java library that allows client applications to write arbitrary
+ well-formed typed XML documents.
+
+Package: libxsom-java
+Architecture: all
+Depends: librelaxng-datatype-java, ${misc:Depends}
+Description: XML Schema Object Model Java library
+ XML Schema Object Model (XSOM) is a Java library that allows applications
+ to easily parse XML Schema documents and inspect information in them. It
+ is expected to be useful for applications that need to take XML Schema
+ as an input.
