## jaxb 2.3.0.1

=== debian/changelog ===
jaxb (2.3.0.1-5) unstable; urgency=medium

  * Team upload.
  * Add javax.activation.jar to the classpath of the jars
  * Standards-Version updated to 4.2.0

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 03 Aug 2018 16:30:15 +0200

jaxb (2.3.0.1-4) unstable; urgency=medium

  * Team upload.
  * Build the jaxb-jxc-jdk9 and jaxb-xjc-jdk9 modules
  * Standards-Version updated to 4.1.5

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 24 Jul 2018 20:31:24 +0200

jaxb (2.3.0.1-3) unstable; urgency=medium

  * Team upload.
  * Rebuild jaxb against the latest version of jaxb-api to fix FTBFS on buildd.
  * Tighten B-D on libjaxb-api-java to >= 2.3.0-2.

 -- Markus Koschany <apo@debian.org>  Tue, 05 Jun 2018 14:24:12 +0200

jaxb (2.3.0.1-2) unstable; urgency=medium

  * Team upload.
  * Backported the fix for the xjc Ant task in non fork mode (Closes: #882525)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 29 May 2018 16:12:21 +0200

jaxb (2.3.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - No longer build the jaxb1 module and dropped the dependency on libmsv-java
    - Removed the patch replacing nb-javac-api with a system dependency
      on tools.jar (Closes: #893214)
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 29 May 2018 12:49:57 +0200
