=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  default-jdk,
  javahelper (>= 0.43),
  libargs4j-java,
@@ -12,15 +12,14 @@
  libdtd-parser-java,
  libfastinfoset-java,
  libistack-commons-java,
- libjaxb-api-java,
+ libjaxb-api-java (>= 2.3.0-2),
  libmaven-dependency-plugin-java,
  libmaven-javadoc-plugin-java,
- libmsv-java,
  librelaxng-datatype-java,
  maven-debian-helper (>= 2.2)
-Standards-Version: 4.1.1
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/jaxb.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jaxb.git
+Standards-Version: 4.2.0
+Vcs-Git: https://salsa.debian.org/java-team/jaxb.git
+Vcs-Browser: https://salsa.debian.org/java-team/jaxb
 Homepage: https://javaee.github.io/jaxb-v2/
 
 Package: libjaxb-java
