=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,3 @@
 	# To avoid introducing an epoch the jaxb version is appended to the former
 	# libcodemodel-java version until jaxb > 2.6 is released.
 	dh_gencontrol -plibcodemodel-java -- -v2.6+jaxb$(DEB_VERSION)
-
-get-orig-source:
-	uscan --download-current-version --force-download --rename
